#include <Adafruit_NeoPixel.h>

#define DATAPIN A0
#define NUMBER_OF_PIXELS 7

byte hell = 30;    // Helligkeit
int wait1 = 500;   // Zeit "ON"
int wait2 = 200;   // Zeit "OFF"


// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
// Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMBER_OF_PIXELS, DATAPIN, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMBER_OF_PIXELS, DATAPIN, NEO_GRB + NEO_KHZ800);


void setup() {
  strip.begin();
  strip.show();   // Initialize all pixels to 'off'
}


void loop() {

  strip.setPixelColor(0, hell, 0, 0);
  strip.setPixelColor(1, hell, 0, 0);
  strip.setPixelColor(2, 0, hell, 0);
  strip.setPixelColor(3, 0, hell, 0);
  strip.setPixelColor(4, 0, 0, 0);
  strip.setPixelColor(5, 0, 0, 0);
  strip.setPixelColor(6, 0, 0, 0);
  strip.show();
  delay(wait1);

  strip.clear();
  delay(wait2);  

  strip.setPixelColor(0, 0, 0, 0);
  strip.setPixelColor(1, 0, 0, 0);
  strip.setPixelColor(2, 0, 0, 0);   
  strip.setPixelColor(3, 0, hell, 0);
  strip.setPixelColor(4, 0, hell, 0);
  strip.setPixelColor(5, 0, 0, hell);
  strip.setPixelColor(6, 0, 0, hell);
  strip.show();
  delay(wait1);

  strip.clear();
  delay(wait2);  

}

